package terminal;

import java.io.*;

import com.googlecode.lanterna.terminal.IOSafeTerminal;

public class TerminalConfiguration {

    private PipedOutputStream inputWriter;
    private PipedInputStream inputReader;
    private PipedOutputStream outputWriter;
    private PipedInputStream outputReader;
    private IOSafeTerminal terminal;

    public void setInputWriter(PipedOutputStream inputWriter) {
        this.inputWriter = inputWriter;
    }

    public void setInputReader(PipedInputStream inputReader) {
        this.inputReader = inputReader;
    }

    public void setOutputWriter(PipedOutputStream outputWriter) {
        this.outputWriter = outputWriter;
    }

    public void setOutputReader(PipedInputStream outputReader) {
        this.outputReader = outputReader;
    }

    public void setTerminal(IOSafeTerminal terminal) {
        this.terminal = terminal;
    }

    public PipedOutputStream getInputWriter() {
        return inputWriter;
    }

    public PipedInputStream getInputReader() {
        return inputReader;
    }

    public PipedOutputStream getOutputWriter() {
        return outputWriter;
    }

    public PipedInputStream getOutputReader() {
        return outputReader;
    }

    public IOSafeTerminal getTerminal() {
        return terminal;
    }

}